var angular = require('angular');
require('ngIonic');
require('../../commons/modules');

angular.module('linker.routes', ['ui.router']);
angular.module('linker.directives.linkercards', ['commons.directives.sinoevent', 'ui.router', 'ionic', 'linker.services']);
angular.module('linker.directives.idtoname', []);
angular.module('linker.directives.linkernav', ['commons.services.timer', 'ionic']);
angular.module('linker.directives', ['linker.directives.linkercards', 
  'commons.directives.toast', 'linker.directives.idtoname', 
  'linker.directives.linkernav', 'commons.directives']);
angular.module('linker.services', ['commons.services']);
angular.module('linker.controllers', ['linker.services', 'linker.directives', 'ionic']);
angular.module('linker', ['linker.controllers', 'linker.services', 'linker.directives', 'linker.routes']);
